%define name gradio
%define version 1.0.1
%define release 1mdk

Summary: A radio card interface with video4linux support
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
URL: http://foobazco.org/projects/gradio/ 
Source: %name-%version.tar.bz2
Requires: gtk+ >= 1.0.1
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
GRadio is a GTK-based interface to various radio cards. It supports the
kernel device drivers in 2.1.106+. It is designed to be simple and small 
with an intuitive interface.

%prep
rm -rf $RPM_BUILD_ROOT  

%setup

%build
%make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall INSTALLROOT=$RPM_BUILD_ROOT/usr MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gradio"\
title="Gradio"\
longtitle="GTK interface to radio cards"\
needs="x11"\
section="Multimedia/Sound"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/gradio-1.0.0

%files
%defattr (-,root,root)
%doc README COPYING
%{_mandir}/man1/*
%{_bindir}/*
%{_libdir}/menu/*

%changelog
* Tue Jul 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-7mdk
- rebuild
- new url

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-6mdk
- menu entry

* Tue Aug 01 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-5mdk
- BM
 
* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-4mdk
- fix group
- fix files section
 
* Wed Dec 22 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fix location of files
- bz2 archive
 
* Mon Sep 06 1999 Sean P. Kane <kane@ca.metsci.com>
- added CFLAGS="$RPM_OPT_FLAGS" to make command
 
* Mon Feb 08 1999 K. Wesolowski <wesolows@cs.unr.edu>
- Built 1.0.0
* Mon Jan 25 1999 K. Wesolowski <wesolows@cs.unr.edu>
- Built 1.0rc2
* Sun Jan 17 1999 K. Wesolowski <wesolows@cs.unr.edu>
- Built 1.0rc1
* Sat Jan 09 1999 K. Wesolowski <wesolows@cs.unr.edu>
- Built 0.9.11
* Fri Jan 08 1999 K. Wesolowski <wesolows@cs.unr.edu>
- Built 0.9.10
* Sat Nov 21 1998 K. Wesolowski <wesolows@cs.unr.edu>
- Built 0.9.9
* Sat Oct 24 1998 K. Wesolowski <wesolows@cs.unr.edu>
- Built 0.9.8
* Sun Jun 21 1998 K. Wesolowski <wesolows@cs.unr.edu>
- Built 0.9.6
* Mon Jun 15 1998 K. Wesolowski <wesolows@cs.unr.edu>
- First build version 0.9.5     
